Uploaded image for project: 'Thrift'
  1. Thrift
  2. THRIFT-5176

Apache Thrift 0.13.0.1 error when used with .NET Core 2.1.

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Open
    • Priority: Major
    • Resolution: Unresolved
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: netstd - Library
    • Labels:
      None

      Description

      We are using ApacheThrift 0.13.0.1 via the NuGet library in a project targeting .NET Standard 2.0 & 2.1 in order to send telemetry data at Jaeger. A user opened this issue: https://github.com/open-telemetry/opentelemetry-dotnet/issues/605

      The 0.13.0.1 netstandard2.0 Thrift dll is targeting Microsoft.AspNetCore.Http.Abstractions 2.2.0 which works for .NET Core 2.2+ applications.

      We would like to target .NET Core 2+ in our library.

      We tried to use the 0.12.0.1 package but it isn't signed with a strong name.

      Would it be possible to downgrade that reference to 2.0.0 in the 0.13.0.1 package or re-publish 0.12.0.1 with a strong name?

        Attachments

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              CodeBlanch Mikel Blanchard
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated: